[xiph-commits] r18871 - trunk/squishyball

xiphmont at svn.xiph.org xiphmont at svn.xiph.org
Tue Mar 12 12:54:04 PDT 2013


Author: xiphmont
Date: 2013-03-12 12:54:04 -0700 (Tue, 12 Mar 2013)
New Revision: 18871

Modified:
   trunk/squishyball/audio.c
   trunk/squishyball/autogen.sh
Log:
Oops, roll back last commit to undo inadvertant change that also crept in



Modified: trunk/squishyball/audio.c
===================================================================
--- trunk/squishyball/audio.c	2013-03-12 19:51:15 UTC (rev 18870)
+++ trunk/squishyball/audio.c	2013-03-12 19:54:04 UTC (rev 18871)
@@ -710,7 +710,7 @@
   sf.bits=bits;
   sf.byte_format=AO_FMT_LITTLE;
   sf.matrix=(ch>2?matrix:0);
-  aoe.key="debug";
+  aoe.key="quiet";
 
   if(!device){
     /* if we don't have an explicit device, defaults make this easy */
@@ -751,15 +751,9 @@
       /* don't try to open the driver if it doesn't have the device/id
          option; it will ignore the option and try to open its default */
       for(j=0;j<info->option_count;j++)
-        if(!strcmp(info->options[j],ao.key)){
-          fprintf(stderr,"Got option for %s\n",aname);
-          break;
-        }
-      if(j<info->option_count){
-        fprintf(stderr,"opening %s %d\n",aname,id);
+        if(!strcmp(info->options[j],ao.key))break;
+      if(j<info->option_count)
         if((ret=ao_open_live(id,&sf,&ao)))break;
-        fprintf(stderr,"open fialed\n");
-      }
     }
   }
   if(ret && sb_verbose)

Modified: trunk/squishyball/autogen.sh
===================================================================
--- trunk/squishyball/autogen.sh	2013-03-12 19:51:15 UTC (rev 18870)
+++ trunk/squishyball/autogen.sh	2013-03-12 19:54:04 UTC (rev 18871)
@@ -108,26 +108,21 @@
         exit 1
 fi
 
+if test -z "$*"; then
+        echo "I am going to run ./configure with no arguments - if you wish "
+        echo "to pass any to it, please specify them on the $0 command line."
+fi
+
 /bin/echo "Generating configuration files for $package, please wait...."
 
 /bin/echo "  $ACLOCAL $ACLOCAL_FLAGS"
 $ACLOCAL $ACLOCAL_FLAGS || exit 1
-/bin/echo "  $LIBTOOLIZE --automake --copy --force"
-$LIBTOOLIZE --automake --copy --force || exit 1
-/bin/echo "  $AUTOMAKE --add-missing --copy $AUTOMAKE_FLAGS"
-$AUTOMAKE --add-missing --copy $AUTOMAKE_FLAGS || exit 1
+/bin/echo "  $LIBTOOLIZE --automake --force"
+$LIBTOOLIZE --automake --force || exit 1
+/bin/echo "  $AUTOMAKE --add-missing $AUTOMAKE_FLAGS"
+$AUTOMAKE --add-missing $AUTOMAKE_FLAGS || exit 1
 /bin/echo "  autoconf"
 autoconf || exit 1
 
-if test "x$1" = "x--noconfigure"; then
-        exit 0
-fi
-
-if test -z "$*"; then
-        echo "I am going to run ./configure with no arguments - if you wish "
-        echo "to pass any to it, please specify them on the $0 command line."
-        echo "(Use --noconfigure to suppress running configure at all.)"
-fi
-
 cd $olddir
 $srcdir/configure "$@" && /bin/echo



More information about the commits mailing list